{% extends 'app_templates/detail.html' %} 


{% block detail_forum %}
<ul>
    <!-- Post -->
    <li class="post">
        <div class="float-right-container">
            <div>
                {% if object.url %}
                <a class="doi-link" href="{{ object.url }}" target="_blank"><strong>{{ object.authors }}</strong></a>
                {% else %}
                <strong>{{ object.authors }}</strong>
                {% endif %}
            </div>
            <div>
                <a class="underlined-link margin-left" href="{% url appname|add:'_update' object.slug %}">Edit</a>
                <a class="underlined-link margin-left" href="{% url appname|add:'_delete' object.slug %}">Delete</a>
            </div>                   
        </div>
        <div class="datetimes">
            {{ object.date_post|date:"M j, Y" }} at {{ object.date_post|date:"G:i" }}
            &#8722; Last modified:
            {{ object.date_modified|date:"M j, Y" }} at {{ object.date_modified|date:"G:i" }}
        </div>

        <p class="keep-paragraphs">{{ object.text }}</p>
    </li>


    <!-- Answers --> 
    {% for answer in answers %}
    <li class="post">
        <div class="answer">
            <div class="float-right-container">
                <div>
                    {% if answer.url %}
                    <a class="doi-link" href="{{ answer.url }}" target="_blank"><strong>{{ answer.authors }}</strong></a>
                    {% else %}
                    <strong>{{ answer.authors }}</strong>
                    {% endif %}
                </div>
                <div>
                    <a class="underlined-link margin-left" href="{% url appname|add:'_updateanswer' object.slug answer.id %}">Edit</a>
                    <a class="underlined-link margin-left" href="{% url appname|add:'_deleteanswer' object.slug answer.id %}">Delete</a>
                </div>                   
            </div>
            <div class="datetimes">
                {{ answer.date_post|date:"M j, Y" }} at {{ answer.date_post|date:"G:i" }}
                &#8722; Last modified:
                {{ answer.date_modified|date:"M j, Y" }} at {{ answer.date_modified|date:"G:i" }}
            </div>

            <p class="keep-paragraphs">{{ answer.text }}</p>
        </div>
    </li>
    {% endfor %}

    <li class="post">
        <div class="answer" style="border: none;">
            <p class="header-paragraph">Write an Answer</p>
            <form style="width:100%;" id="add-article-summary" method="post" enctype='multipart/form-data'>{% csrf_token %}
                {{ form.as_p }}   
                <input type="submit" value="Answer">
            </form>
        </div>
    </li>
</ul>
{% endblock %}
